import { IDatasourceConfig } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    testProp: {
        type: StringConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    config: import("vue").Ref<IDatasourceConfig | undefined>;
    daasDsTree: import("vue").Ref<any>;
    selectedDatasource: import("vue").Ref<string | undefined>;
    selectedDatabase: import("vue").Ref<string | undefined>;
    selectedTableIds: import("vue").Ref<string[]>;
    selectedTables: import("vue").Ref<{
        name: string;
        entity: string;
        remarks?: string | undefined;
        exists?: boolean | undefined;
        id: string;
    }[]>;
    databaseList: import("vue").Ref<{
        pageParam?: {
            limit: number;
            pageIndex: number;
            recordTotal: number;
        } | undefined;
        tables?: {
            name: string;
            entity: string;
            remarks?: string | undefined;
            exists?: boolean | undefined;
            id: string;
        }[] | undefined;
    }[]>;
    tableList: import("vue").Ref<{
        name: string;
        entity: string;
        remarks?: string | undefined;
        exists?: boolean | undefined;
        id: string;
    }[]>;
    keyword: import("vue").Ref<string>;
    loadingTables: import("vue").Ref<boolean>;
    generateColumns: ({
        slot: string;
        width: number;
        align: string;
        title?: undefined;
        sortable?: undefined;
        key?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        key: string;
        slot?: undefined;
        align?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        align?: undefined;
        minWidth?: undefined;
    } | {
        minWidth: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        width?: undefined;
        align?: undefined;
    })[];
    total: import("vue").Ref<number>;
    pageIndex: import("vue").Ref<number>;
    pageSize: import("vue").Ref<number>;
    isDataValid: import("vue").ComputedRef<boolean>;
    finalColumns: import("vue").ComputedRef<({
        slot: string;
        width: number;
        align: string;
        title?: undefined;
        sortable?: undefined;
        key?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        key: string;
        slot?: undefined;
        align?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        align?: undefined;
        minWidth?: undefined;
    } | {
        minWidth: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        width?: undefined;
        align?: undefined;
    })[]>;
    reload: () => Promise<void>;
    reloadDaasDatabases: () => Promise<void>;
    reloadDaasDatabaseTables: () => Promise<void>;
    onChangeDs: () => Promise<void>;
    onChangeDatabase: () => Promise<void>;
    submitting: import("vue").Ref<boolean>;
    submit: () => Promise<void>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    testProp: {
        type: StringConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
